MP4(3)

NAME

MP4SetSceneProfileLevel - Sets the minimum MPEG-4 scene graph profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

bool MP4SetSceneProfileLevel(
        MP4FileHandle hFile,
        u_int8_t profileLevel
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetSceneProfileLevel sets the minumum profile/level of MPEG-4 scene graph support necessary to render the contents of the file.

ISO/IEC 14496-1:2001 MPEG-4 Systems defines the following values:
    0x00    Reserved
    0x01    Simple 2D Profile @ Level 1
    0x02-0x7F    Reserved
    0x80-0xFD    User private
    0xFE    No scene graph profile specified
    0xFF    No scene graph required

SEE ALSO

MP4(3) MP4GetSceneProfileLevel(3)